%define game    colobot

Name:           %{game}-data
Version:        0.2.2
Release:        %mkrel 1
Summary:        Data files for Colobot
Group:          Games/Strategy
License:        GPLv3+
Url:            https://colobot.info/
Source0:        https://github.com/colobot/colobot-data/archive/%{game}-gold-%{version}-alpha.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  po4a
BuildArch:      noarch
Recommends:     %{game}-music >= 0.1.6

%description
This package contains data files for the Colobot game.

%prep
%autosetup -n %{name}-%{game}-gold-%{version}-alpha

%build
# Do not attempt to download music, installed in a separate package
%cmake -GNinja -DMUSIC=OFF
%cmake_build

%install
%cmake_install

%files
%doc LICENSE.txt README.i18n.md README.md
%{_gamesdatadir}/%{game}/


%changelog
* Fri Jan 17 2025 daviddavid <daviddavid> 0.2.2-1.mga10
+ Revision: 2139492
- new version: 0.2.2

* Fri Jan 12 2024 wally <wally> 0.2.1-1.mga10
+ Revision: 2030618
- new version 0.2.1

* Sun Sep 04 2022 akien <akien> 0.2.0-1.mga9
+ Revision: 1883897
- Version 0.2.0

* Thu Mar 24 2022 umeabot <umeabot> 0.1.12-3.mga9
+ Revision: 1824205
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.1.12-2.mga8
+ Revision: 1526060
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Apr 25 2019 akien <akien> 0.1.12-1.mga7
+ Revision: 1395262
- Version 0.1.12

* Sun Oct 07 2018 daviddavid <daviddavid> 0.1.11.1-1.mga7
+ Revision: 1318441
- new version: 0.1.11.1

* Tue Sep 18 2018 umeabot <umeabot> 0.1.10-2.mga7
+ Revision: 1261993
- Mageia 7 Mass Rebuild

* Thu May 25 2017 akien <akien> 0.1.10-1.mga6
+ Revision: 1104621
- Version 0.1.10

* Sat Nov 12 2016 akien <akien> 0.1.9-1.mga6
+ Revision: 1066724
- Version 0.1.9

* Tue Jul 19 2016 akien <akien> 0.1.8-1.mga6
+ Revision: 1042600
- Do not build on armv5tl, it was disabled for main colobot package
- Version 0.1.8

* Tue May 10 2016 akien <akien> 0.1.7-1.mga6
+ Revision: 1012238
- Version 0.1.7

* Sun Jan 03 2016 akien <akien> 0.1.6-1.mga6
+ Revision: 919143
- Version 0.1.6

* Wed Jun 24 2015 akien <akien> 0.1.5-1.mga6
+ Revision: 842159
- Version 0.1.5

* Sun Feb 08 2015 akien <akien> 0.1.4-1.mga5
+ Revision: 814120
- Version 0.1.4
- Music files are now split in another SRPM: colobot-music

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-3.mga5
+ Revision: 742811
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-2.mga5
+ Revision: 678474
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Jul 03 2014 akien <akien> 0.1.3-1.mga5
+ Revision: 642549
- imported package colobot-data

